SPI to send data to supertex HV518 VFD drivers

## Macros

#define | VFD_SPI_RCC RCC_SPI1
| SPI peripheral.
#define | VFD_SPI_PORT GPIOA
| GPIO port.
#define | VFD_SPI_PORT_RCC RCC_GPIOA
| GPIO port peripheral clock.
#define | VFD_SPI_IRQ NVIC_SPI1_IRQ
| SPI peripheral interrupt signal.
#define | VFD_SPI_ISR spi1_isr
| SPI interrupt service routine.
#define | VFD_CLK GPIO_SPI1_SCK
| clock signal
#define | VFD_DIN GPIO_SPI1_MOSI
| data input, where the data is shifted to

## Detailed Description